gstreamer0.10 dependency problem

Bugs & Suggestions

gstreamer0.10 dependency problem

Postby gpe » Fri Apr 22, 2016 9:40 pm

Hi,

The new linux distributions don't have gstreamer0.10 anymore.
Thanks to make AfterShot compliant with gstreamer1.0.
gpe
 
Posts: 21
Joined: Sat Apr 12, 2014 12:33 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
motherboard: ASUS P8P67 LE
processor: i5-2500k
ram: 16 GB
Video Card: Nvidia GTX550Ti
Hard_Drive_Capacity: 2TB
Monitor/Display Make & Model: Dell U2410
Corel programs: AfterShot Pro 2

Re: gstreamer0.10 dependency problem

Postby dFlyer » Sat Apr 23, 2016 2:01 am

If your running Ubuntu 16.04 LTS please see this link:

viewtopic.php?f=90&t=59077

both required files are in the repositories.
Thanks.
Gary Garibaldi
Linux since 96
Sony a700
Sony a100
dFlyer
 
Posts: 135
Joined: Thu Jan 12, 2012 3:18 pm
Location: Sevierville, Tennessee
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit

Re: gstreamer0.10 dependency problem

Postby gpe » Sat Apr 23, 2016 12:39 pm

No, I'm using Debian testing. Gstreamer0.10 has been removed form the repositories. So the next Debian stable (Debian Stretch) will not have Gstreamer0.10.
gpe
 
Posts: 21
Joined: Sat Apr 12, 2014 12:33 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
motherboard: ASUS P8P67 LE
processor: i5-2500k
ram: 16 GB
Video Card: Nvidia GTX550Ti
Hard_Drive_Capacity: 2TB
Monitor/Display Make & Model: Dell U2410
Corel programs: AfterShot Pro 2

Re: gstreamer0.10 dependency problem

Postby urlisse » Sun May 22, 2016 4:08 am

I confirm this issue. I recently installed ASP3 in a relatively recent install of Xubuntu 16.04 and I got the following message when starting `AfterShot3X64` from the command line:

Install Path:           /opt/AfterShot3(64-bit)
LD_PATH: /opt/AfterShot3(64-bit)/lib:
XLIB_SKIP_ARGB_VISUALS:
./AfterShot: error while loading shared libraries: libgstreamer-0.10.so.0: cannot open shared object file: No such file or directory


Installing libgstreamer-0.10 just caused AfterShot to complain about other missing dependencies:

Install Path:           /opt/AfterShot3(64-bit)
LD_PATH: /opt/AfterShot3(64-bit)/lib:
XLIB_SKIP_ARGB_VISUALS:
./AfterShot: error while loading shared libraries: libgstapp-0.10.so.0: cannot open shared object file: No such file or directory


I managed to get rid of the issue by installing the following:

sudo apt-get install libgstreamer-plugins-base0.10-0
User avatar
urlisse
 
Posts: 5
Joined: Wed Jul 22, 2015 9:32 pm
Location: Montréal, Québec, Canada
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
motherboard: ASRock AM1H-ITX
processor: AMD Athlon 5350
ram: 4GB
Video Card: Integrated Radeon HD 8400 R3 Series
Hard_Drive_Capacity: 120GB SSD
Monitor/Display Make & Model: Samsung SyncMaster 216BW
Corel programs: AfterShot Pro 3

Re: gstreamer0.10 dependency problem

Postby s56vpe » Sat Oct 15, 2016 8:08 am

Ubuntu 16.10 now only has gstreamer1.0 in the official repositories. Would be nice if (meaning an immediate fix is expected) Corel fixed the linux build of ASP3 to be compliant with gstreamer1.0. Especially since gstreamer0.10 is not maintained since 2013.
s56vpe
 
Posts: 1
Joined: Sat Oct 15, 2016 8:03 am
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit

Re: gstreamer0.10 dependency problem

Postby Joelp » Thu Jul 25, 2019 3:41 pm

Hey, same issue for me. I contacted support and my last answer is
I require further assistance on this matter and will be seeking the help of our next level of support. I will get back to you shortly with a proposed answer to the issue at hand ...


Hope that, they will fix it soon. For now, I have no machine with this old library.
Joelp
 
Posts: 7
Joined: Tue Feb 13, 2018 5:44 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
ram: 8GB
Video Card: GeForce GT 730
Monitor/Display Make & Model: EIZO
Corel programs: AfterShotPro

Re: gstreamer0.10 dependency problem

Postby Joelp » Sun Jul 28, 2019 12:57 pm

Looks like, they don't care. For years. And maybe it's time to try Open Source solution again, sadly.
Joelp
 
Posts: 7
Joined: Tue Feb 13, 2018 5:44 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
ram: 8GB
Video Card: GeForce GT 730
Monitor/Display Make & Model: EIZO
Corel programs: AfterShotPro

Re: gstreamer0.10 dependency problem

Postby Joelp » Mon Nov 04, 2019 2:40 pm

On new AfterShotPro3-360380:3.6-0.380.x86_64 guess what. Still same problem.
Joelp
 
Posts: 7
Joined: Tue Feb 13, 2018 5:44 pm
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
ram: 8GB
Video Card: GeForce GT 730
Monitor/Display Make & Model: EIZO
Corel programs: AfterShotPro

Re: gstreamer0.10 dependency problem (now seen in Fedora 32)

Postby rjforster » Sat May 02, 2020 11:26 pm

I see the same problem on Fedora 32.

Trying to upgrade F31 to F32 fails due to dependencies for libgstreamer-0.10 and libgstapp-0.10 which are both in F31. With Fedora32 running on other hardware I see the same dependency problems when trying to install ASP3.

It worked great in Fedora 31. I note that the system requirements page still reads "Fedora®19 or Ubuntu® 14.04 or later (64-bit distributions)"
rjforster
 
Posts: 7
Joined: Tue Mar 27, 2012 11:51 am
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
processor: i7-8565U
ram: 32GB
Hard_Drive_Capacity: 4TB
Monitor/Display Make & Model: 1920x1080
Corel programs: AfterShotPro3

Re: gstreamer0.10 dependency problem

Postby rjforster » Fri May 08, 2020 4:42 pm

Installing the repo from here: https://copr.fedorainfracloud.org/coprs ... eamer0.10/
let me upgrade from Fedora 31 to 32 with ASP3 still working. Note, it's the same file if you get the f31or f32 link.

Hope this helps a few others.

R
rjforster
 
Posts: 7
Joined: Tue Mar 27, 2012 11:51 am
operating_system: Linux
System_Drive: N/A
32bit or 64bit: 64 Bit
processor: i7-8565U
ram: 32GB
Hard_Drive_Capacity: 4TB
Monitor/Display Make & Model: 1920x1080
Corel programs: AfterShotPro3


Return to Bugs & Suggestions

Who is online

Users browsing this forum: No registered users and 2 guests